<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_rd_greedynavigation
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Include the menu functions only once
JLoader::register('ModMenuHelper', __DIR__ . '/helper.php');

// Add the javascript files
$document = JFactory::getDocument();

// Inlcude jQuery if required
if ( $params ->get( 'include-jquery' ) == 1 ){
JHtml::_('jquery.framework', false);
}

// Include CSS file
$document->addStylesheet(JURI::base() . 'modules/mod_rd_greedynavigation/assets/css/greedynavigation.css');

$list       = ModMenuHelper::getList($params);
$base       = ModMenuHelper::getBase($params);
$active     = ModMenuHelper::getActive($params);
$default    = ModMenuHelper::getDefault();
$active_id  = $active->id;
$default_id = $default->id;
$path       = $base->tree;
$showAll    = $params->get('showAllChildren');
$class_sfx  = htmlspecialchars($params->get('class_sfx'), ENT_COMPAT, 'UTF-8');

if (count($list))
{
	require JModuleHelper::getLayoutPath('mod_rd_greedynavigation', $params->get('layout', 'default'));
}
